Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
b2Sweep Struct Reference

`#include <b2Math.h>`

## Public Member Functions
void | GetTransform (b2Transform *xfb, float32 beta) const
void | Advance (float32 alpha)
void | Normalize ()
| Normalize the angles. More...

## Public Attributes
b2Vec2 | localCenter
| local center of mass position
b2Vec2 | c0
b2Vec2 | c
| center world positions
float32 | a0
float32 | a
| world angles
float32 | alpha0

## Detailed Description

This describes the motion of a body/shape for TOI computation. Shapes are defined with respect to the body origin, which may no coincide with the center of mass. However, to support dynamics we must interpolate the center of mass position.

## Member Function Documentation

void b2Sweep::Advance | ( | float32 | alpha | ) |
| inline

Advance the sweep forward, yielding a new initial state.

Parameters

  alpha | the new initial time.

void b2Sweep::GetTransform | ( | b2Transform * | xfb,
|  | float32 | beta
| ) |  | const
| inline

Get the interpolated transform at a specific time.

Parameters

  beta | is a factor in [0,1], where 0 indicates alpha0.

void b2Sweep::Normalize | ( |  | ) |
| inline

Normalize the angles.

Normalize an angle in radians to be between -pi and pi.

## Member Data Documentation

float32 b2Sweep::alpha0

Fraction of the current time step in the range [0,1] c0 and a0 are the positions at alpha0.

The documentation for this struct was generated from the following file:

- b2Math.h